
Application: gvSIG desktop - gvSIG bugs #1911
Filter tool on a Postgis layer fails
06/13/2013 06:19 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Database
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Load a Postgis layer
2. Run the filter tool
3. Do a query
4. Press on "New set" 
5. Then press on " Select from set" 
6. Error.

This is the most relevant part of the log file:
WARN [MapControl Drawer Worker] (DefaultGraphicLayer.java:333) - The legend for the graphics layer must be a instance of
IVectorialUniqueValueLegend 
 INFO [AWT-EventQueue-1] (DefaultActionInfo.java:212) -
org.gvsig.app.document.table.app.mainplugin:org.gvsig.app.extension.ShowTable.execute('layer-show-attributes-table') 
 INFO [AWT-EventQueue-1] (DefaultProject.java:386) - add('Tabla de atributos: roadelement') 
 INFO [AWT-EventQueue-1] (DefaultActionInfo.java:212) -
org.gvsig.app:org.gvsig.app.extension.FiltroExtension.execute('layer-filter') 
ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - Bug en el código 
Error while executing an action in resource 'org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource@29043'. 
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:66) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.loadFeatureProvider(JDBCStoreProvider.java:177) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.getFeatureProvider(JDBCIterator.java:124) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.internalNext(JDBCIterator.java:105) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.next(JDBCIterator.java:73) 
    at org.gvsig.fmap.dal.feature.impl.featureset.DefaultIterator.next(DefaultIterator.java:66) 
    at org.gvsig.app.extension.FiltroExtension.fromSet(FiltroExtension.java:324) 
    at org.gvsig.app.gui.filter.FilterDialog$3$1.run(FilterDialog.java:236) 
    at org.gvsig.andami.PluginServices$RunnableDecorator$1.run(PluginServices.java:511) 
    at java.awt.event.InvocationEvent.dispatch(Unknown Source) 
    at java.awt.EventQueue.dispatchEvent(Unknown Source) 
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:67) 
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source) 
    at java.awt.EventDispatchThread.run(Unknown Source) 
Caused by: java.lang.NullPointerException 
    at java.nio.ByteBuffer.wrap(Unknown Source) 
    at org.gvsig.fmap.geom.operation.fromwkb.WKBParser2.parse(WKBParser2.java:114) 
    at org.gvsig.fmap.geom.operation.fromwkb.FromWKB.invoke(FromWKB.java:60) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCHelper.getGeometry(JDBCHelper.java:768) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.loadFeatureProviderValue(JDBCStoreProvider.java:200) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider$1.run(JDBCStoreProvider.java:184) 
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:323) 
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:64) 
    ... 17 more 
ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - Bug en el código 
Error while executing an action in resource 'org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource@29043'. 
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:66) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.loadFeatureProvider(JDBCStoreProvider.java:177) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.getFeatureProvider(JDBCIterator.java:124) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.internalNext(JDBCIterator.java:105) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.next(JDBCIterator.java:73) 
    at org.gvsig.fmap.dal.feature.impl.featureset.DefaultIterator.next(DefaultIterator.java:66) 
    at org.gvsig.app.extension.FiltroExtension.fromSet(FiltroExtension.java:324) 
    at org.gvsig.app.gui.filter.FilterDialog$3$1.run(FilterDialog.java:236) 
    at org.gvsig.andami.PluginServices$RunnableDecorator$1.run(PluginServices.java:511) 
    at java.awt.event.InvocationEvent.dispatch(Unknown Source) 
    at java.awt.EventQueue.dispatchEvent(Unknown Source) 
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:67) 
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source) 
    at java.awt.EventDispatchThread.run(Unknown Source) 
Caused by: java.lang.NullPointerException 
    at java.nio.ByteBuffer.wrap(Unknown Source) 
    at org.gvsig.fmap.geom.operation.fromwkb.WKBParser2.parse(WKBParser2.java:114) 
    at org.gvsig.fmap.geom.operation.fromwkb.FromWKB.invoke(FromWKB.java:60) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCHelper.getGeometry(JDBCHelper.java:768) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.loadFeatureProviderValue(JDBCStoreProvider.java:200) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider$1.run(JDBCStoreProvider.java:184) 
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:323) 
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:64) 
    ... 17 more 
ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - Bug en el código 
Error while executing an action in resource 'org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource@29043'. 
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:66) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.loadFeatureProvider(JDBCStoreProvider.java:177) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.getFeatureProvider(JDBCIterator.java:124) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.internalNext(JDBCIterator.java:105) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.next(JDBCIterator.java:73) 
    at org.gvsig.fmap.dal.feature.impl.featureset.DefaultIterator.next(DefaultIterator.java:66) 
    at org.gvsig.app.extension.FiltroExtension.fromSet(FiltroExtension.java:324) 
    at org.gvsig.app.gui.filter.FilterDialog$3$1.run(FilterDialog.java:236) 
    at org.gvsig.andami.PluginServices$RunnableDecorator$1.run(PluginServices.java:511) 
    at java.awt.event.InvocationEvent.dispatch(Unknown Source) 
    at java.awt.EventQueue.dispatchEvent(Unknown Source) 
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:67) 
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source) 
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source) 
    at java.awt.EventDispatchThread.run(Unknown Source) 
Caused by: java.lang.NullPointerException 
    at java.nio.ByteBuffer.wrap(Unknown Source) 
    at org.gvsig.fmap.geom.operation.fromwkb.WKBParser2.parse(WKBParser2.java:114) 
    at org.gvsig.fmap.geom.operation.fromwkb.FromWKB.invoke(FromWKB.java:60) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCHelper.getGeometry(JDBCHelper.java:768) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.loadFeatureProviderValue(JDBCStoreProvider.java:200) 
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider$1.run(JDBCStoreProvider.java:184) 
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:323) 
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:64) 
    ... 17 more

History
#1 - 11/28/2013 05:34 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 12/03/2013 11:26 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed filtering.

gvsig-postgresql:r25

#3 - 01/13/2014 09:29 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/28/2014 09:31 AM - Álvaro Anguix
- Status changed from Fixed to Closed
